@font-face {
  font-family: "innerText";
  src: url("../vendor/Nabi.woff") format("woff");
}

@font-face {
  font-family: "custom";
  src: url("../vendor/myCustom.woff") format("woff");
}

:root {
  --backgroundColor: #c2e3fe;
  --headingColor: #0f2e6a;
  --contrastColor: #ffffff;
  --footerIconColor: #abe0fa;
  --yellowContrast: #faa61a;
  --primaryFont: "custom", serif;
  --secondaryFont:"innerText"
}
* {
  box-sizing: border-box;
  margin: 0;
}
a {
  text-decoration: none;
  color: var(--headingColor);
}

ul {
  list-style: none;
  padding: 0;
}

body {
  background-color: var(--backgroundColor);
  font-family: var(--primaryFont),sans-serif;
  background-image: url("../images/sites/background-ym.png");
  background-size: cover;
  background-repeat: no-repeat;
}

.main {
  width: 100%;
  margin: auto;
  background-image: url("../images/sites/yusuf_hero-min.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: bottom;
  height: 100vh;
  padding: 20px 0px;
  font-family: var(--primaryFont);
  position: relative;
}

.header {
  background-color: var(--headingColor);
  border-radius: 8px;
  box-shadow: 0 0 14px rgba(0, 0, 0, 0.671);
  width: 1285px;
  margin: auto;
  padding: 0px 20px;
  margin-top: 80px;
  /* font-weight: 300; */
  font-size: 24px;
  position: relative;
  max-height: 70px;
}

.logo-link {
  background-image: url("../images/sites/logo.png");
  height: 120px;
  height: 180px;
  display: block;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  width: 255px;
  position: absolute;
  top: -64px;
  transform: translateZ(0) perspective(1px);
  transition: 300ms ease-in-out;
  text-indent: -9999999;
  will-change: transform;
  transform: rotateZ(-28deg);
  left: -116px;
}

.logo-link:hover {
  transform: scale(1.1);
}

.navbar,
.nav-menu {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-menu .nav-item {
  padding: 12px 0px;
}

.nav-link {
  padding: 10px 32px;
  transition: 300ms ease-in-out;
  display: block;
  color: var(--contrastColor);
}

.nav-link i {
  transition: 300ms ease-in-out;
  font-size: 22px;
  margin-left: 4px;
}
.nav-link:hover i {
  transform: rotate(180deg);
}
.nav-link:hover {
  background-color: var(--contrastColor);
  color: var(--headingColor);
  border-radius: 40px;
}
.dropdown {
  position: absolute;
  top: 72px;
  /* background-color: var(--headingColor); */
  display: none;
  /* display: block; */
}

.nav-menu li:hover .dropdown {
  display: block;
}

.dropdown-menu {
  background-color: var(--headingColor);
  box-shadow: 4px 0px 4px #d5d3d3ba;
  border-radius: 0px 0px 32px 32px;
}

.mobile_header {
  display: none;
}

.hero-btn-trailer {
  position: absolute;
  bottom: 72px;
  top: auto;
  display: flex;
  justify-content: center;
  width: 100%;
}

.hero-btn-link {
  font-size: 24px;
  background-color: var(--yellowContrast);
  padding: 16px 22px;
  border-radius: 32px 16px 12px 22px;
}

.hero-btn-link a {
  color: var(--headingColor);
}

.section {
  padding: 20px 0px;
  margin-top: 30px;
}

.section1 {
  margin-top: -72px;
}

.container {
  width: 1285px;
  margin: auto;
  padding: 0px 20px;
}
/* ===============================================================Slider=================================================================================== */

/* Slick Slider Styling */
.video-slider .slide {
  outline: none;
}
.video-slider video {
  /* border-radius: 42px 18% 14% 16%/30% 26% 60px 130px; */
  border-radius: 38px 18% 12% 16%/30% 26% 160px 142px;
  border: 4px solid var(--contrastColor);
  overflow: hidden; /* Ensures content inside the video respects the border-radius */
}

.video-slider .slick-slide {
  margin: 0 10px; /* 20px gap (10px on each side) */
  /* border-radius: 32px; */
}
.slick-next::before,
.slick-prev::before {
  font-size: 30px;
  color: var(--headingColor);
}

.video-slider video {
  width: 100%;
  height: auto;
  cursor: pointer;
}

/* Pop-up Modal Styling */
.video-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.popup-content {
  position: relative;
  max-width: 100%;
  max-height: 100%;
  display: flex;
}

.popup-content video {
  width: 100%;
  height: auto;
}

.close-btn {
  position: absolute;
  top: 50px;
  right: 50px;
  background: #fff;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
  padding: 5px 10px;
  border-radius: 50%;
  z-index: 1;
}

.grid {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 20px;
}

.grid-section {
  position: relative;
}
.milk-bottle {
  width: 200px;
  height: 200px;
  position: absolute;
  left: 20px;
  top: 116px;
}

.oats-pack {
  right: 450px;
  left: auto;
  top: 60px;
}
.laddu {
  /* right: 362px; */
  right: 354px;
  left: auto;
  top: 594px;
}

.paper-plain {
  right: auto;
  left: 234px;
  top: 696px;
  transform: rotateY(180deg);
}

.paper-plain img {
  width: 300px !important;
}
.milk-bottle img {
  width: 550px;
}

.grid img {
  border-radius: 32px;
  transition: 500ms;
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: relative;
  overflow: hidden;
}
.img-container {
  overflow: hidden;
  /* border-radius: 37px 80px 72px 50px; */
  border-radius: 144px 60% 12% 20%/24% 12% 84px 212px;
  position: relative;
  background-color: var(--contrastColor);
  box-shadow: 0 8px 12px var(--headingColor);
}
.img-container:hover img {
  transform: scale(1.1);
}

.img-container:hover .overlay {
  opacity: 1;
}

/* .img-container{
  background-image: url('../images/sites/anand-shape1.png');
  background-size: contain;
  background-repeat: no-repeat;
} */

.item6 {
  grid-column-start: 2;
  grid-column-end: 4;
  grid-row-start: 2;
  grid-row-end: 4;
}

.item6 img {
  height: 650px;
}

.item8 .img-container,
.item12 .img-container {
  height: 100%;
}

.overlay {
  position: absolute;
  inset: 0 0 0 0;
  padding: 20px;
  text-align: center;
  background-color: #5a5a87d9;
  color: var(--contrastColor);
  font-family: var(--secondaryFont),sans-serif;
  border: 4px solid var(--contrastColor);
  /* border-radius: 37px 80px 72px 50px; */
  border-radius: 144px 60% 12% 20%/24% 12% 84px 212px;
  opacity: 0;
  transition: 500ms ease-in-out;
  line-height: 1.5;
  word-spacing: 5px;
}

.overlay h3 {
  font-size: 36px;
}
.overlay p {
  font-size: 18px;
}
.mobile-grid {
  display: none;
}

.latest-news {
  margin-top: 50px;
}

.news-heading {
  text-align: center;
  margin-bottom: 40px;
}

.news-section {
  gap: 20px;
}
.news-heading a {
  color: var(--headingColor);
}

.news-left,
.news-right {
  flex: 1;
  border-radius: 32px;
  position: relative;
}
.news-content-img {
  height: 412px;
}
.news-content-img img {
  width: 100%;
  border-radius: 32px;
  border: 4px solid var(--contrastColor);
}

.news-content {
  background-color: var(--contrastColor);
  border-radius: 24px 32px 16px 16px;
  padding: 0px 24px 24px;
  border: 4px solid var(--headingColor);
  position: absolute;
  width: 100%;
  bottom: -18px;
  box-shadow: 0 0 18px var(--headingColor);
}
.news-content h3 {
  font-size: 32px;
  margin-bottom: 12px;
  color: var(--headingColor);
}

.news-content p {
  font-size: 24px;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}
.social-wrapper {
  margin: 100px 0px;
}
.social-left {
  position: relative;
}

.social-logo-link {
  left: -24px;
  top: -112px;
}

.social-logo-link img {
  transform: rotateZ(-30deg);
  width: 40%;
}

.social-icons {
  justify-content: end;
}
.social-icons-container {
  display: flex;
  align-items: center;
}

.social-left,
.social-right {
  flex: 1;
}

.icon-wrapper {
  margin-right: 16px;
}
.social-icons img {
  width: 40px;
}
.sub-link img {
  width: 20px;
  object-fit: cover;
  margin-right: 10px;
}

.subscribe-link {
  /* display: inline-block; */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 22px;
  border-radius: 32px;
  background-color: #0f2e6a;
  font-size: 18px;
  color: var(--contrastColor);
}
.footer {
  margin-top: 40px;
  background-image: linear-gradient(to top, #0f2e6a 45%, #c1d5ed14);
  /* mask-image: linear-gradient(to top,#0f2e6a 70%,#5386ec 30% ); */
  color: var(--contrastColor);
  position: relative;
}
.footer h3 {
  margin-bottom: 14px;
  font-size: 32px;
}

.f-rocketImg {
  width: 100%;
}

.footer .f-details {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  color: var(--contrastColor);
  font-size: 24px;
}

.footer-nav {
  display: flex;
  margin-top: 14px;
}
.f-nav-item {
  padding-right: 20px;
}

.f-nav-link {
  color: var(--contrastColor);
  font-size: 12px;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  /* font-weight: 300; */
}

.verse-content {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px; /*Add spacing between slider and image*/
}

.verse-slider {
  width: 50%;
  padding: 10px;
}

.verse-right-content {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  flex: 1;
  /* background-image: url(../images/sites/rocket-image.png); */
  background-size: cover;
  background-position: center;
  min-height: 350px;
  overflow: hidden;
}
.verse-right-content img {
  width: 100%;
  object-fit: cover; /* Ensures the image fits without distortion */
  border-radius: 16px; /* Optional: Rounded corners */
  height: 750px;
}
.rocket-img-wrapper {
  height: 640px;
  overflow: hidden;
}
/* .verse-s-slider {
  height: 300px; Set a fixed height for desktop
} */

.v-inner-slider {
  background-color: var(--headingColor);
  /* border-radius: 37px 80px 72px 50px; */
  border-radius: 86px 100px 14% 18%/24% 12% 500px 450px
}

.v-inner-slider h2 {
  color: var(--contrastColor);
  text-align: center;
  padding: 20px 80px;
  font-size: 32px;
}

.youtube-btn {
  text-align: center;
  padding: 10px;
}

.youtube-btn-link {
  display: inline-block;
  padding: 4px 80px;
  background-color: var(--contrastColor);
}

.youtube-btn-img {
  width: 52px;
  display: flex;
  align-items: center;
}

.verse-s-slider .slick-slide {
  margin: 0px 10px;
}

.v-slide-content-wrapper{
  height: 300px;
  overflow: hidden;
}

.v-slide-content-wrapper p{
  font-size: 40px;
  color: var(--contrastColor);
  text-align: center;
  font-family: var(--secondaryFont),sans-serif;
}

.v-content-detail{
  line-height: 1.5;
  word-spacing: 5px;
}

.verse-s-slider .slide {
  height: 100%;
  /* display: flex;
  justify-content: center;
  align-items: center; */
  padding: 0px 20px;
}

.slider-video {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ensures the video fits the slider without distortion */
  border-radius: 72px 42px 54px 48px; /* Optional: Rounded corners */
  cursor: pointer;
  border: 4px solid var(--contrastColor);
}

.plane-icon-bg {
  background-image: url("../images/sites/rocket.png");
  width: 650px;
  height: 260px;
  background-size: cover;
  background-position: center;
  position: absolute;
  right: 8px;
  top: 30px;
}
